/// <reference types="node" />
export interface DataFrame {
    type: FrameType.Data;
    size: number;
    data: Buffer;
}
export interface SizeFrame {
    type: FrameType.Size;
    size: number;
    cols: number;
    rows: number;
}
export interface NameFrame {
    type: FrameType.Name;
    size: number;
    name: string;
}
export interface CwdFrame {
    type: FrameType.Cwd;
    size: number;
    cwd: string;
}
export declare enum FrameType {
    Data = 0,
    Size = 1,
    Name = 2,
    Cwd = 3
}
export declare type Frame = DataFrame | SizeFrame | NameFrame | CwdFrame;
export declare function decode(buf: Buffer): Frame | null;
export declare function encodeData(data: string): Buffer;
export declare function encodeSize(cols: number, rows: number): Buffer;
//# sourceMappingURL=frame.d.ts.map